Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class DSAKey

    java.lang.Object
      com.mindbright.jca.security.spec.DSAParamsImpl
          com.mindbright.jca.security.spec.DSAParameterSpec
              com.mindbright.security.publickey.DSAKey

All Implemented Interfaces:
  AlgorithmParameterSpec, DSAKey, DSAParams, Key, java.io.Serializable

Direct Known Subclasses:
  DSAPrivateKey, DSAPublicKey

public class DSAKey
extends DSAParameterSpec
implements DSAKey, Key

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.mindbright.jca.security.spec.DSAParamsImpl
`g, p, q`

Constructor Summary
`protected` | `DSAKey(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g)`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`DSAParams` | `getParams()`

Methods inherited from class com.mindbright.jca.security.spec.DSAParamsImpl
`getG, getP, getQ`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mindbright.jca.security.interfaces.DSAParams
`getG, getP, getQ`

Constructor Detail

### DSAKey

    protected DSAKey(java.math.BigInteger p,
                     java.math.BigInteger q,
                     java.math.BigInteger g)

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `Key`

### getParams

    public DSAParams getParams()

  Specified by:
    `getParams` in interface `DSAKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD